Skip to main content
GET
Read untrusted SMS text

Authorizations

Authorization
string
header
required

Workspace API key or delegated OAuth access token with /v1 resource audience. Administrative routes require the Better Auth browser session instead.

Path Parameters

id
string
required

Response

Successful JSON response

id
string
required
Minimum string length: 1
phoneNumberId
string
required
Minimum string length: 1
from
string
required
to
string
required
direction
enum<string>
required
Available options:
inbound,
outbound
status
string
required
unread
boolean
required
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
segments
integer | null
required
Required range: 0 < x <= 9007199254740991
costAmount
string | null
required
Pattern: ^\d+(\.\d+)?([eE][+-]?\d+)?$
costCurrency
string | null
required
attachments
object[]
required
text
string
required
contentTrust
string
required
Allowed value: "untrusted"
recipientOptOut
object
required